Skip to content

Request a new session

Request

Creates a new session for elastic access.

Security
AdministrationAccess or ClientAccess
Headers
x-instance-idstring

UUID of the instance to create the session on. Required by requests that use a ClientAccess token.

correlationIdstring

An optional identifier for the request. If provided, it is recommended to use a UUID format to minimise the risk of reusing the same correlationId.

This field can be used to support safe retries, typically when the request has timed out. The safe retry configuration option must be enabled first, refer to the Configuration section for more information on how to enable this.

If no correlationId is supplied, Dynamic Monetization will generate one automatically.

Bodyapplication/jsonrequired

The information required in the request payload.

instanceIdstring, (uuid)required

UUID of the instance, used while creating a new session.

curl -i -X POST \
  https://siteID.flexnetoperations.com/dynamicmonetization/api/v1.1/sessions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'correlationId: string' \
  -H 'x-instance-id: string' \
  -d '{
    "instanceId": "64d2028c-ae87-4069-a624-66089d957ef9"
  }'

Responses

OK. The request succeeded in its entirety.

Bodyapplication/json
sessionIdstring, (uuid)

UUID of the session created.

Response
{ "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459" }